using System.Collections.Generic;
using System.Runtime.Serialization;
using Entities;

namespace ServiceContracts
{
    [DataContract]
    public class ClientContext
    {
    	[DataMember]
    	public List<Customer> Customers { get; set; }
    	[DataMember]
    	public List<OrderDetail> OrderDetailSet { get; set; }
    	[DataMember]
    	public List<Order> Orders { get; set; }
    	[DataMember]
    	public List<Product> Products { get; set; }
    	[DataMember]
    	public List<CustomerDemographic> CustomerDemographics { get; set; }
    	[DataMember]
    	public List<Category> Categories { get; set; }
    	[DataMember]
    	public List<Employee> Employees { get; set; }
    	[DataMember]
    	public List<Member> Members { get; set; }
    	[DataMember]
    	public List<OrderDetailComment> OrderDetailComments { get; set; }
    }
}
